service_type: rgw
service_id: {{ 'https' if ceph_rgw_tls_enabled else 'http' }}
placement:
  label: rgw
  count_per_host: {{ ceph_rgw_count_per_host }}
{% if ceph_rgw_ldap_enabled %}
extra_container_args:
  - -v
  - {{ ceph_rgw_ldap_secret_path }}:{{ ceph_rgw_ldap_secret_path }}:ro
{% if ceph_rgw_ldap_verify_ssl %}
  - -e
  - LDAPTLS_CACERT={{ ceph_rgw_ldap_ca_cert_path }}
{% else %}
  - -e
  - LDAPTLS_REQCERT=allow
{% endif %}
{% endif %}
{% if ceph_rgw_ldap_enabled and ceph_rgw_ldap_verify_ssl %}
custom_configs:
  - mount_path: {{ ceph_rgw_ldap_ca_cert_path }}
    content: |
      {{ ceph_rgw_ldap_ca_cert | indent(6, False) }}
{% endif %}
spec:
  ssl: {{ ceph_rgw_tls_enabled }}
  rgw_frontend_port: {{ ceph_rgw_frontend_port }}
{% if ceph_rgw_tls_enabled %}
  rgw_frontend_ssl_certificate: |
    {{ ceph_rgw_frontend_ssl_certificate | indent(4, False) }}
{% endif %}
